Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.genctl.impl
Class TemplateHelperImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  com.ssaglobal.generator.genctl.impl.TemplateHelperImpl

All Implemented Interfaces:
  TemplateHelper, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class TemplateHelperImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements TemplateHelper

An implementation of the model object 'Template Helper'.

The following features are implemented:

- `Name`
- `Helper Class Name`
- `Applies To`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.common.util.EList` | `appliesTo` The cached value of the '`Applies To`' containment reference list
`protected static java.lang.String` | `HELPER_CLASS_NAME_EDEFAULT` The default value of the '`Helper Class Name`' attribute
`protected java.lang.Class` | `helperClass`
`protected java.lang.String` | `helperClassName` The cached value of the '`Helper Class Name`' attribute
`protected java.lang.String` | `name` The cached value of the '`Name`' attribute
`protected static java.lang.String` | `NAME_EDEFAULT` The default value of the '`Name`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `TemplateHelperImpl()`

Method Summary
`java.lang.Object` | `eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature, boolean resolve)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, java.lang.Class baseClass, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`void` | `eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`org.eclipse.emf.common.util.EList` | `getAppliesTo()`
`java.lang.Class` | `getHelperClass()`
`java.lang.String` | `getHelperClassName()`
`java.lang.String` | `getName()`
`void` | `setHelperClass(java.lang.Class helperClass)`
`void` | `setHelperClassName(java.lang.String newHelperClassName)`
`void` | `setName(java.lang.String newName)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eIsProxy, eResource`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### NAME_EDEFAULT

    protected static final java.lang.String NAME_EDEFAULT

  The default value of the '`Name`' attribute.

  See Also:
    `getName()`

### name

    protected java.lang.String name

  The cached value of the '`Name`' attribute.

  See Also:
    `getName()`

### HELPER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String HELPER_CLASS_NAME_EDEFAULT

  The default value of the '`Helper Class Name`' attribute.

  See Also:
    `getHelperClassName()`

### helperClassName

    protected java.lang.String helperClassName

  The cached value of the '`Helper Class Name`' attribute.

  See Also:
    `getHelperClassName()`

### appliesTo

    protected org.eclipse.emf.common.util.EList appliesTo

  The cached value of the '`Applies To`' containment reference list.

  See Also:
    `getAppliesTo()`

### helperClass

    protected java.lang.Class helperClass

Constructor Detail

### TemplateHelperImpl

    protected TemplateHelperImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `TemplateHelper`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `TemplateHelper.setName(String)`, `GenctlPackage.getTemplateHelper_Name()`

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `TemplateHelper`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `TemplateHelper.getName()`

### getHelperClassName

    public java.lang.String getHelperClassName()

  Specified by:
    `getHelperClassName` in interface `TemplateHelper`
  Returns:
    the value of the 'Helper Class Name' attribute.
  See Also:
    `TemplateHelper.setHelperClassName(String)`, `GenctlPackage.getTemplateHelper_HelperClassName()`

### setHelperClassName

    public void setHelperClassName(java.lang.String newHelperClassName)

  Specified by:
    `setHelperClassName` in interface `TemplateHelper`
  Parameters:
    `newHelperClassName` - the new value of the 'Helper Class Name' attribute.
  See Also:
    `TemplateHelper.getHelperClassName()`

### getAppliesTo

    public org.eclipse.emf.common.util.EList getAppliesTo()

  Specified by:
    `getAppliesTo` in interface `TemplateHelper`
  Returns:
    the value of the 'Applies To' containment reference list.
  See Also:
    `GenctlPackage.getTemplateHelper_AppliesTo()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          java.lang.Class baseClass,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Specified by:
    `eInverseRemove` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                                 boolean resolve)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getHelperClass

    public java.lang.Class getHelperClass()

  Specified by:
    `getHelperClass` in interface `TemplateHelper`

### setHelperClass

    public void setHelperClass(java.lang.Class helperClass)

  Specified by:
    `setHelperClass` in interface `TemplateHelper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD